/* templatestyle.css for template 100 overrides to TNG genstyle.css   */


/* clear unwanted styles. */

body, div.menucontainer, div.innercontainer, ul.tngdd, UL.tngdd .menulink,
UL.tngdd .menulink:hover, div.icons, ul.tngdd .langmenu, ul.tngdd,
div.cemcountry, .normal, p.header, .subhead, h1.header {
    background-color: transparent;
    border: none;
    border-radius: 0;
    font-size: normal;
    width: none;
    display: normal;
    float: none;
}


html {
    /*
    Example of css gradient.
    
    background: vendor-type-gradient( start / position , shape size,
                color 1, color2 [position] [, other colors / positions] );
    */
	background-color: #eff3f6;
    background-image: url('../img/tree-watermark.gif');
    background-image: url('../img/tree-watermark.gif'),
        -moz-linear-gradient(to bottom, #eff3f6, #abc);
    background-image: url('../img/tree-watermark.gif'),        
        -webkit-gradient(linear, left top, left bottom, from(#eff3f6), to(#abc));       
    background-image: url('../img/tree-watermark.gif'),        
        -o-linear-gradient(to bottom, #eff3f6, #abc);
    background-image: url('../img/tree-watermark.gif'),        
        -khtml-linear-gradient(to bottom, #eff3f6, #abc);
    background-image: url('../img/tree-watermark.gif'),        
        -ms-linear-gradient(to bottom, #eff3f6, #abc);
    background-image: url('../img/tree-watermark.gif'),        
        linear-gradient(to bottom, #eff3f6, #abc);
    background-repeat: no-repeat, repeat;
    min-width: 100%;
    min-height:100%;
}


body {
    font-family: Verdana, Geneva, sans-serif;
    font-size: 14px;  /* Base font size. Use em units below.*/
    text-align: center;
}


h1, h1.header {
    font-family: Georgia, Times, "Times New Roman", serif;
	font-variant: small-caps;
	font-weight: normal;
	font-size: 2em;
	margin-top: 10px;
	color: #000099;
}



/* Title for sections.  (should have been h2 tags.) */
h2, span.subhead>strong, span.subhead>b,
p.header>strong, p.header>a>strong, p.subhead>strong, p.subhead>b {
    font-family: "ff-scala-sans-web-1", "ff-scala-sans-web-2",
                 "Lucida Grande", "Helvetica", sans-serif;
    font-style: italic;
    font-weight: normal;
    font-variant: normal;
    color: #b60;
    font-size: 1.5em;
    letter-spacing: .1em;
}


em {
    font-family: "ff-scala-sans-web-1", "ff-scala-sans-web-2",
                 "Lucida Grande", "Helvetica", sans-serif;
    color: #b60;
    letter-spacing: .1em;     
}



/* link: normal links, active: links in use */
a:link, a:active, div.icons>a {
	color: #000099;
	text-decoration: underline;
}

/* visited: previously visited links */
a:visited {
	color: #336666;
}

/* hover: hilight on mouse over */
a:hover {
	color: gold;
	text-shadow: 1px 1px black;
}



/* bar on bar chart for names and places. */
div.bar.rightround {
    background: #edb;
	border: 1px solid #654;
}

/* letter choices on sirnames and place lists choices. */
a.snlink:hover, .snlinkact, .adminnav .snlinkact {
	background-color: goldenrod;
}

/* background for letter choices for sirnames and place lists. */
a.snlink {
	background-color: #edb;
	border: 1px solid #654; 
}

td.snlink {
    background: inherit;
    border: none;
	color: #a98;
}

.LB_window {
	background: #bbbbbb;
	border: 2px solid #000000;
	color: black;
}

/* Increase vertical spacing of place and name lists. */
div.titlebox span.normal, div.titlebox td {
   line-height: 1.5em;
}







/* Data table settings. */

table.whiteback {
    background-color: white;
	padding: 1em;
	border: 0 .1em .1em 0 solid black;
    box-shadow:         .1em .1em .25em black;	
	-moz-box-shadow:    .1em .1em .25em black;
    -webkit-box-shadow: .1em .1em .25em black;
	border-radius: .75em;	
	-moz-border-radius: .75em;
	-webkit-border-radius: .75em;
}

td.fieldnameback, .whiteback {
    color: white;
    background-color: #cba;
    border: none;
    border-top: 1px solid white;
    border-right: 1px solid white;
}

span.fieldname {
   	text-shadow: 1px 1px 2px black;
}

td.databack {
    color: #432;
    background-color: white;
    border: 1px solid #cba;
    border-top: none;
    border-right: none;
    padding: 5px 10px 5px 10px;
    margin: 0;
}

/* No outside border if in a bordered box. */
div.titlebox table.whiteback, table.whiteback table.whiteback {
    border: none;
	box-shadow: none;
	margin: 0;
	padding: 0;
}


.thumb {
	border: 1px solid #987;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
	box-shadow: none;
}

#search-submit {
	margin-top:5px;
	margin-bottom:5px;
}

div.searchsidebar {
    border: none;
}


/* shadow box */
.titlebox, .latest_news div, p+ul.normal, 
#content, #container, #tngtimeline, #tngchart, div+br+form#form1 {
	background-color: #ffffff;
	padding: 1.2em 2em 1.2em 2em;
	margin-bottom: 1em;
	border: 0 .1em .1em 0 solid black;
    box-shadow:         .1em .1em .25em black;	
	-moz-box-shadow:    .1em .1em .25em black;
    -webkit-box-shadow: .1em .1em .25em black;
	border-radius: .75em;	
	-moz-border-radius: .75em;
	-webkit-border-radius: .75em;
    overflow: auto;
}


/* Remove box from around edit cemetary link. */
div + div + div.titlebox {
    background: none;
    border: none;
    box-shadow:         none;    
    -moz-box-shadow:    none;
    -webkit-box-shadow: none;
    padding: 0;
    margin: 0;
}


td.calDay {border: 1px solid #888;}

td.calToday {border: 1px solid #888;}




ul.normal li {
    margin-left: 2em;
    margin-top: .3em;
}


div#map {
	width: auto !important;
	border: .5em solid white;
    border: 0 .1em .1em 0 solid black;
    box-shadow:         .1em .1em .25em black;	
	-moz-box-shadow:    .1em .1em .25em black;
    -webkit-box-shadow: .1em .1em .25em black;
	border-radius: .75em;
	-moz-border-radius: .75em;
	-webkit-border-radius: .75em;
}

/* No border if in title box table. */
td #map {
    box-shadow:         none;
	-moz-box-shadow:    none;   
    -webkit-box-shadow: none;
}


/* Let thumbnails wrap. */
.titlebox table.whiteback.normal tr {display: inline;}

.titlebox table.whiteback.normal td {
    background-color: #fff;
    height: 9em;
    padding: .25em;
    border: .1em dashed #dcb;
    float: left;
}





/*=== Common elements ===*/


/*--------------------*/

h3 {
    font-family: Georgia, Times, "Times New Roman", serif;
	font-variant: small-caps;
    font-size: 1.5em;
    font-weight: normal;
	color: #009;
    padding: 5px 0 .3em 1em;
    margin: 0;
    background-size: .75em;
    background-repeat: no-repeat;
    background-position: 0 .5em;
}

/*--------------------*/

.footer {
    clear: both;
    display: block;
    margin-top: 2em;    
    border-top: #888 solid .175em;
    text-align: center;
    font-size: .8em;
}



/*=== Index page ===*/

.index_page  {
    margin: 2em 2% 2em 2%;
    min-width: 34em;
    max-width: 70em;
    text-align: left;
    display: inline-block;
}

/*--------------------*/

.index_page .title {
    display: block;
    margin: 0 3em 2em 0;
    float: left;
}

.index_page img.main_image {
    display: block;
    margin-bottom: 1em;
    width: 25em;
	border: 0 .1em .1em 0 solid black;
    box-shadow:         .1em .1em .25em black;	
	-moz-box-shadow:    .1em .1em .25em black;
    -webkit-box-shadow: .1em .1em .25em black;
	border-radius: .75em;	
	-moz-border-radius: .75em;
	-webkit-border-radius: .75em;

}

.index_page img.title_image {
    display: block;
    width: 25em;
}


/*--------------------*/

.index_page .current_user {
    display: inline-block;
    float: right;
    min-width: 16em;
    margin-bottom: 3em;
}

.index_page .current_user>h3 {
    background-image: url("../img/account_icon.gif");
}

/*--------------------*/

.index_page .name_search {
    display: block;
    float: right;
    min-width: 16em;    
}

.index_page .name_search>h3 {
    background-image: url("../img/search_icon.gif");
}

/*--------------------*/

.index_page .welcome {
    clear: both;
    display: block;
    width: 28%;
    margin: 0 4% 2em 0;
    float: left;
    }
    
.index_page .welcome>h3 {
    background-image: url("../img/home_icon.gif");
}
    
/*--------------------*/    
.index_page .contact_us {
    clear: left;
    display: block;
    width: 28%;
    margin-right: 4%;
    float: left;
}
    
.index_page .contact_us>h3 {
    background-image: url("../img/contact_icon.gif");
}
/*--------------------*/

.index_page .menu_items {
    vertical-align: top;
    display: inline-block;
    width: 33em;
    float: right;
}

.index_page .menu_column {
    white-space: nowrap;
    margin-right: 1em;
    display: inline-block;
    vertical-align: top;
}

.index_page .menu_column:last-child {margin-right: 0;}

.index_page .menu_column>h3 {
    background-image: url("../img/down_arrow_icon.gif");
}

/*--------------------*/

.index_page .latest_news {
    vertical-align: top;
    display: inline-block;
    width: 68%;
}

.index_page .latest_news>h1 {
    padding: 0 .2em 0 1em;
    background-repeat: no-repeat;
    background-position: .2em .2em;
    background-image: url("../img/news_icon.gif");    
    background-size: .6em .7em;
}


.index_page .latest_news>div {
    padding: 0 1.5em 1.5em 1.5em;

}

.index_page .latest_news>div>p {
    font-family: Georgia, Times, "Times New Roman", serif;
	font-weight: normal;
	font-size: 1.1em;
}

/* Inlarge first letter of first paragraph. */
.index_page .latest_news>div>p:nth-child(2):first-letter {
    color: #b96;
    font-size: 1.5em;
    font-weight: bold;
	letter-spacing: -1px;
}

/* Last paragraph is signature or notes. */
.index_page .latest_news>div>p:last-child {
    font-family: Verdana, Geneva, sans-serif;
    color: #009;
    font-size: .8em;
}



/*=== Content pages ===*/

.content_page {
    margin: 2em 2% 2em 2%;
    text-align: left;
    display: inline-block;
    width: 94%;
}

/*--------------------*/

.content_page h1 {
    clear: right;
    padding: 0;
    margin: 0;
}

/*--------------------*/

.content_page img.main_image {
	border: 0 .1em .1em 0 solid black;
    box-shadow:         .1em .1em .25em black;	
	-moz-box-shadow:    .1em .1em .25em black;
    -webkit-box-shadow: .1em .1em .25em black;
	border-radius: .75em;	
	-moz-border-radius: .75em;
	-webkit-border-radius: .75em;    
    width: 200px;
    margin: 0;
    float: left;
}

.content_page img.title_image {
    width: 200px;
    margin: 1em;
    float: left;
}

/*--------------------*/

.content_page .current_user {
    display: inline-block;
    float: right;
    margin-bottom: 1.5em;
}

.content_page .current_user>h3 {
    background-image: url("../img/account_icon.gif");
}

/*--------------------*/

.content_page .innercontainer div.icons {
    clear: right;
    float: right;
}

.content_page .innercontainer .icons>a {
    margin: .5em 0 .5em 1.5em;
    padding-left: 1.75em;
}

.content_page .innercontainer .icons>a:hover {
	color: gold;
	text-shadow: 1px 1px black;
}

/*--- Hide standard edit user link if present ---*/
.content_page .innercontainer .icons>a:nth-child(3) {
    visibility: hidden;
    position: absolute;  /* removes it from the flow */
    /* margin: 0;
    padding: 0; */
}

/*--------------------*/

/* Menu bar settings. */
.content_page ul.tngdd {
    clear: right;
    float: right;
}

.content_page ul.tngdd>li{
    display: inline-block;
    float: none;
    margin: .5em 0 .5em 0;
    padding: 0 0 0 .25em;
}

/* Pull down menu with down arrow. */
.content_page .tngdd a.menulink {
	padding-left: 2.5em;
	margin: 0 0 0 .25em; 
    background: #c2c2c2 url("../img/down_arrow_icon.gif") 1em .4em no-repeat;
	background-size: 1em 1em;
	border: 0 .1em .1em 0 solid black;
    box-shadow:         .1em .1em .25em black;	
	-moz-box-shadow:    .1em .1em .25em black;
    -webkit-box-shadow: .1em .1em .22em black;
	border-radius: .75em;	
	-moz-border-radius: .75em;
	-webkit-border-radius: .75em;
}

.content_page .tngdd a.menulink:hover,
.content_page .tngdd a.menuhover {
	color: gold;
	text-shadow: 1px 1px black;
	background: #c2c2c2 url("../img/down_arrow_icon.gif") 1em .4em no-repeat;
	background-size: 1em 1em;
}

.content_page ul.tngdd ul>li>a {
    /* Inside drop down sub-menu. */
	background-color: #eee;
}

.content_page ul.tngdd ul>li>a:hover {
    /* Inside drop down sub-menu on hover. */
	color: gold;
	text-shadow: 1px 1px black;
}

/*--------------------*/

/* Print and Bookmark links */
.content_page div.icons-rt {
    clear: both;
    float: right;
}

.content_page div.icons-rt>a {
    margin: .5em 0 .5em 1.5em;
    padding: 0 0 0 1.75em;
}


/*====================*/






/** ======== Media device adjustments ======== **/

/** Desktop narrow view **/
/*
@media screen
and (max-width: 600px) {
    div.col_1, div.col_2 {
        min-width: 100%;
        display: block;
    } 
}
*/

/** Tablet **/
@media only screen
and (max-device-width: 1024px) {
    a:link, a:active, div.icons a {
        line-height: 1.5em;
        text-decoration:underline;
    }
}


/** Tablet portrait view **/
@media only screen
and (max-device-width: 1024px)
and (orientation: portrait) {
    body {font-size: 16px;}
    div.menu_items {
        width: 100%;
        display: block;
    }
}








